`include "interfaces.sv"
`include "design.sv"
package tb_pkg;
    import uvm_pkg::*;

    // Environment
    `include "agent_reset.sv"
    `include "agent_tb.sv"
    `include "testbench_env.sv"

    // Sequences
    `include "seq_basic.sv"

    // Tests
    `include "test_base.sv"
endpackage
`include "uvm_tb.sv"
